Bug 183237 - stat reports incorrect io block size
stat reports incorrect io block size
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: stat (Show other bugs)
2.1
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ngo Than
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-02-27 13:46 EST by Don Howard
Modified: 2007-11-30 17:06 EST (History)
0 users

See Also:
Fixed In Version: RHEL3/RHEL4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-22 08:31:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Don Howard 2006-02-27 13:46:17 EST
Description of problem:
stat reports incorrect values for IO Block size:

$ stat /etc/modules.conf
  File: "/etc/modules.conf"
  Size: 474             Blocks: 8          IO Block: -4612010443077054464
                                                     ^^^^^^^^^^^^^^^^^^^^  


Version-Release number of selected component (if applicable):
$ rpm -q stat
stat-2.5-3

How reproducible:
always - stat <filename>


Additional info:
Turning off -D_FILE_OFFSET_BITS=64 in the package makefile corrects this problem.
Comment 1 Ngo Than 2006-05-22 08:31:09 EDT
I have fixed the output for largefile again. You find the new stat-2.5-3.1 on 
porkchop:/home/devel/than. This problem does not happen in RHEL3/RHEL4RHEL

Please reopen it if we want to have it in RHEL-update.

Note You need to log in before you can comment on or make changes to this bug.